Bug 7514 - (int139278/int-139458) /etc/modules doesn't load modules as expected
(int139278/int-139458)
: /etc/modules doesn't load modules as expected
Status: RESOLVED FIXED
Product: System software
Upstart
: 5.0/(1.2009.42-11)
: All Maemo
: Medium major with 2 votes (vote)
: Harmattan
Assigned To: unassigned
: upstart-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-31 01:28 UTC by nathanael
Modified: 2010-06-01 10:50 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description nathanael (reporter) 2009-12-31 01:28:11 UTC
SOFTWARE VERSION:
Kernel 1.2009.42-11.002

EXACT STEPS LEADING TO PROBLEM: 
Adding a module to "/etc/modules" should auto modprobe that module.

EXPECTED OUTCOME:
Modules in /etc/modules are loaded

ACTUAL OUTCOME:
Nothing happens

REPRODUCIBILITY:
Always

OTHER COMMENTS:
1. New "upstart" system does not run the "/init.d/modules-init-tools" script or
anything in the rdS.d directory (which has a symlink to modules-init-tools).

2. modules-init-tools script is also broken and missing "/etc/default/rcS" file
it tries to include.  Adding a "empty" file fixes the problem.


User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.6)
Gecko/20091201 Firefox/3.5.6 (.NET CLR 3.5.30729) FirePHP/0.4
Comment 1 nathanael (reporter) 2009-12-31 01:30:53 UTC
To work around the issue you can add a new "modulename" file to /etc/event.d
adding (everything between the ----) replace modulename with the module you
want loaded at startup.
----
start on startup
exec modprobe modulename
----
Comment 2 Andre Klapper maemo.org 2010-01-04 13:26:10 UTC
Thanks for reporting this.
Confirming.

This will not be fixed for Maemo5, but is on the list for Maemo6.
Comment 3 Andre Klapper maemo.org 2010-06-01 10:50:55 UTC
Fixed for Maemo6.